# Record Alert Rule Sets Record Alert Rule Sets ## Gets all of the record alert rule sets in the system. - [GET /recordAlertRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/listrecordalertrulesets.md): This method will scan all record alert rule sets and and return them to the caller. ## Creates a new record alert rule set record that does not already exist. - [POST /recordAlertRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/createrecordalertruleset.md): This method will auto-generate an ID and create a new record alert rule set. If an ID is specified for the record alert rule set, an error will be thrown. ## Execute Batch Operations - [POST /recordAlertRuleSets/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a record alert rule set from the system by its ID. - [DELETE /recordAlertRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/deleterecordalertruleset.md): This method will delete a record alert rule set with the specified ID. ## Returns a record alert rule set from the system by its ID. - [GET /recordAlertRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/getrecordalertruleset.md): This method will look up a record alert rule set by the specified ID and return it back. ## Partially updates a record alert rule set with the specified ID. - [PATCH /recordAlertRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/patchrecordalertruleset.md): This method will patch an existing record alert rule set with the specified ID, using the HTTP PATCH specification. ## Updates a record alert rule set with the specified ID. - [PUT /recordAlertRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alert-rule-sets/updaterecordalertruleset.md): This method will update an existing record alert rule set with the specified ID.